Debian Bug report logs - #662260
ITP: pgrouting -- basic routing functionality support for PostgreSQL 9.1

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Carlo Stemberger <carlo.stemberger@gmail.com>

Date: Mon, 5 Mar 2012 03:03:01 UTC

Owned by: Michael Fladischer <FladischerMichael@fladi.at>

Severity: wishlist

Merged with 714831

Fixed in version pgrouting/2.0.0-1

Done: Michael Fladischer <FladischerMichael@fladi.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carlo.stemberger@gmail.com, wnpp@debian.org:
Bug#662260; Package wnpp. (Mon, 05 Mar 2012 03:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
New Bug report received and forwarded. Copy sent to carlo.stemberger@gmail.com, wnpp@debian.org. (Mon, 05 Mar 2012 03:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: pgrouting -- Geospatial routing functionality for PostGIS/PostgreSQL
Date: Mon, 05 Mar 2012 04:00:40 +0100
Package: wnpp
Severity: wishlist


* Package name    : pgrouting
  Version         : 1.05
  Upstream Author : pgRouting <pgrouting-dev@lists.osgeo.org>
* URL             : http://www.pgrouting.org/
* License         : GPL, Boost Software License
  Programming Lang: C, C++
  Description     : Geospatial routing functionality for PostGIS/PostgreSQL

pgRouting extends the PostGIS / PostgreSQL geospatial database to
provide geospatial routing functionality.

Advantages of the database routing approach are:
* Data and attributes can be modified by many clients, like Quantum GIS
  and uDig through JDBC, ODBC, or directly using Pl/pgSQL. The clients can
  either be PCs or mobile devices.
* Data changes can be reflected instantaneously through the routing
  engine. There is no need for precalculation.
* The “cost” parameter can be dynamically calculated through SQL and its
  value can come from multiple fields or tables.


Core Features

pgRouting provides functions for:
* Shortest Path Dijkstra: routing algorithm without heuristics
* Shortest Path A-Star: routing for large datasets (with heuristics)
* Shortest Path Shooting-Star: routing with turn restrictions (with
  heuristics)
* Traveling Salesperson Problem (TSP)
* Driving Distance calculation (Isolines)




Merged 662260 714831 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Thu, 04 Jul 2013 06:33:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 662260: 724670 Request was from Michael Fladischer <michael@fladi.at> to control@bugs.debian.org. (Thu, 26 Sep 2013 12:54:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: pgrouting -- basic routing functionality support for PostgreSQL 9.1' from 'RFP: pgrouting -- Geospatial routing functionality for PostGIS/PostgreSQL' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 28 Sep 2013 12:45:05 GMT) Full text and rfc822 format available.

Owner recorded as Michael Fladischer <FladischerMichael@fladi.at>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 28 Sep 2013 12:45:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 03 Oct 2013 20:06:06 GMT) Full text and rfc822 format available.

Message #16 received at 714831-close@bugs.debian.org (full text, mbox):

From: Michael Fladischer <FladischerMichael@fladi.at>
To: 714831-close@bugs.debian.org
Subject: Bug#714831: fixed in pgrouting 2.0.0-1
Date: Sun, 27 Oct 2013 06:00:15 +0000
Source: pgrouting
Source-Version: 2.0.0-1

We believe that the bug you reported is fixed in the latest version of
pgrouting, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Fladischer <FladischerMichael@fladi.at> (supplier of updated pgrouting package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 03 Oct 2013 10:55:42 +0200
Source: pgrouting
Binary: postgresql-9.3-pgrouting postgresql-9.3-pgrouting-doc
Architecture: source amd64 all
Version: 2.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Michael Fladischer <FladischerMichael@fladi.at>
Description: 
 postgresql-9.3-pgrouting - basic routing functionality support for PostgreSQL 9.3
 postgresql-9.3-pgrouting-doc - basic routing functionality support for PostgreSQL 9.3 (Documenta
Closes: 714831
Changes: 
 pgrouting (2.0.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #714831).
Checksums-Sha1: 
 5596180968f5c1232e92a2396b465b5e9e1466ec 2132 pgrouting_2.0.0-1.dsc
 cd2f60dc49df7bc8c789c8e73ecb9759194fab96 3765933 pgrouting_2.0.0.orig.tar.gz
 60e2c36a12f1ca386e8843fbc7e892c2004bdf39 7349 pgrouting_2.0.0-1.debian.tar.gz
 b9f9682e405a5b929ec7402bdd49586128bf4f32 167026 postgresql-9.3-pgrouting_2.0.0-1_amd64.deb
 a5a1fadd33f2b27f9f85aa2572c0ae3e2b324809 262744 postgresql-9.3-pgrouting-doc_2.0.0-1_all.deb
Checksums-Sha256: 
 775c9a9a194a575c7b229a849d93b214e861e7763c0bbd9e7247d997ad2ca3ee 2132 pgrouting_2.0.0-1.dsc
 606309e8ece04abec062522374b48179c16bddb30dd4c5080b89a4298e8d163b 3765933 pgrouting_2.0.0.orig.tar.gz
 71b64b6e9a909347ee8d3c34dcc2d3aef757c10db65cd4359eb98f036b21d500 7349 pgrouting_2.0.0-1.debian.tar.gz
 61bead09ad301c1a4ef0e11aac4e988acdc7c04d9f4fd682c4c0f448ca0cc3b2 167026 postgresql-9.3-pgrouting_2.0.0-1_amd64.deb
 79991fb2770db2a335b5fe587a9af5ae5ade9b73c4f2805b94f2859318d69870 262744 postgresql-9.3-pgrouting-doc_2.0.0-1_all.deb
Files: 
 4134523be79de6895cad4e0d38f10492 2132 misc optional pgrouting_2.0.0-1.dsc
 a7b573b7aa4d038bdb24d2401bb33013 3765933 misc optional pgrouting_2.0.0.orig.tar.gz
 65e9e4448f116d073aeb4df6542dcbe2 7349 misc optional pgrouting_2.0.0-1.debian.tar.gz
 9ceefdadfd0e56e6f16fb5ffd77b9530 167026 misc optional postgresql-9.3-pgrouting_2.0.0-1_amd64.deb
 f016a10ece5757e583293994ee62dc7e 262744 doc optional postgresql-9.3-pgrouting-doc_2.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSTVCHAAoJEGYRwF7dOfN0fmwP+wQ3UlDwtr0iF/4k7dSpGzQ6
OCd4SMHly/T7wU46McSpqlAfkQ72UCZikNjqkDpSlYZ00iKSdzWJOJyUo/zy2y06
TimVFjasRdBAkLFCpMCcjSTr2/JU7n8xe75PsoIc6cGewj3Nia18H6vASABLZY+n
6mVPNJs87vPbV29twJrsFQaY2dDi5xyDghmvhBA28jJUlxTD+BbD2bCx4rOn4OXB
IMsVsE9wGCt4zlO4fQwUa2B1g6+8moA/aM03qgG7tLgzWf/tnThaxc6yo6mAFe49
PA74xGD+Q/sBnmgRwwGthbtm2NZrDmN+WCoB/S+czYMwGLNjuxEkPP1ygS+ckyik
hH4aKTl9TI+PaxyMJb375nFgGLx2pwrGIdRx8CUYlsWbZsW2cSWPH4rWuQb0TEHS
veu8DjSURT9d/wcKDg2gP3CaiSy+DEcWM7ylxJ+eRpnGJHzq89mr4rmnWOnI22m2
wfvtFUc7nGVu7YWN0WCdlXxAuGvvqMTyDuDuctuqMOYZeCk8DJo8uDmaThiHXxwE
4pd8uyq6/DRy2IPP6xMzm/V95p5+VoQ2Xx08IMGIms33zjNT7obgdsuiswu8Kcwj
duREUhRef4mpb+5LFEYXnVJ/rOOYzgE+APx24BibcMGCk7Uosx8cLiRdaIe+ANQ7
qhOgVYL3+Vys2SCm9m1/
=NKEf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Nov 2013 07:29:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:54:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.